Xcode 9.2 のセキュリティコンテンツについて

Xcode 9.2 のセキュリティコンテンツについて説明します。

Apple セキュリティアップデートについて

Apple では、ユーザ保護の観点から、調査が終了してパッチやリリースが公開されるまでは、セキュリティ上の問題を公開、説明、または是認いたしません。最近のリリースについては、「Apple セキュリティアップデート」ページに一覧形式でまとめています。

セキュリティについて詳しくは、Apple 製品のセキュリティに関するページを参照してください。Apple との通信は、Apple Product Security PGP キーで暗号化できます。

Apple のセキュリティ関連の文書では、可能な場合、脆弱性の CVE-ID に言及しています。

Xcode 9.2

2017 年 12 月 4 日リリース

ld64

対象 OS:macOS Sierra 10.12.6 以降

影響:信頼されていないソースでコンパイルすると、ユーザ権限で任意のコードを実行される可能性がある。

説明:配列境界チェック機能を改善することで、バッファオーバーフローに対処しました。

CVE-2017-7167:Qihoo 360 Nirvan Team の sss 氏

Apple 製以外の製品に関する情報や、Apple が管理または検証していない個々の Web サイトは、推奨や承認なしで提供されています。Apple は他社の Web サイトや製品の選定、性能、使用については一切責任を負いません。Apple は他社の Web サイトの正確性や信頼性については一切明言いたしません。インターネットの使用にはリスクがつきものです。詳しくは各社にお問い合わせください。その他の会社名や製品名は、それぞれの所有者の商標である場合があります。

公開日: